# Get Permissions

Launch stage: GA

`GET /api/2.0/permissions/authorization/passwords`

Gets the permissions of all passwords. Passwords can inherit permissions from their root object.

API scopes: scim

Clouds: AWS

## Returns

- `access_control_list` (array of object, optional)
  - `all_permissions` (array of object, optional)
    All permissions.
    - `inherited` (boolean, optional)
    - `inherited_from_object` (array of string, optional)
    - `permission_level` (string, optional)
      Permission level
      Possible values: `LEVEL_UNSPECIFIED`, `CAN_USE`
  - `display_name` (string, optional)
    Display name of the user or service principal.
  - `group_name` (string, optional)
    name of the group
  - `service_principal_name` (string, optional)
    Name of the service principal.
  - `user_name` (string, optional)
    name of the user
- `object_id` (string, optional)
- `object_type` (string, optional)

## Response

```json
{
  "access_control_list": [
    {
      "all_permissions": [
        {}
      ],
      "display_name": "string",
      "group_name": "string",
      "service_principal_name": "string",
      "user_name": "string"
    }
  ],
  "object_id": "string",
  "object_type": "string"
}
```

